#ifndef FILTERBANKWIDGET_H
#define FILTERBANKWIDGET_H

#include <QObject>
#include <QWidget>
#include <QCheckBox>
#include "clickabledoublespinbox.h"


class FilterBankWidget : public QWidget
{
    Q_OBJECT
public:
    explicit FilterBankWidget(QWidget *parent = nullptr);
    ClickableDoubleSpinBox *fb[13];
    QCheckBox *m_bypass;
    void setValue(int filter, int value);

private slots:
    void bypassChanged(int value);

signals:
     void setBypass(bool value);
};

#endif // FILTERBANKWIDGET_H
